<template>
    <BasicModal v-bind="$attrs" @register="registerModal" :title="title" @ok="handleSubmit" width="50%">
        <BasicForm @register="registerForm">
        </BasicForm>
    </BasicModal>
</template>

<script lang="ts" setup>
import { ref, computed, unref } from 'vue';
import { BasicModal, useModalInner } from '/@/components/Modal';
import { BasicForm, useForm } from '/@/components/Form/index';
import { FllowFormSchema } from './GWrdkjbxxb.data';
import { movie,ycygz } from './GWrdkjbxxb.api';
// Emits声明
const emit = defineEmits(['register', 'success']);
const action = ref('/upload')
const isUpdate = ref(true);
//表单配置
const [registerForm, { resetFields, setFieldsValue, validate }] = useForm({
    labelWidth: 220,
    schemas: FllowFormSchema,
    // autoAdvancedCol: 2,
    // baseColProps: { span: 12 },
    showActionButtonGroup: false,
});
//表单赋值
const [registerModal, { setModalProps, closeModal }] = useModalInner(async (data) => {
    //重置表单
    await resetFields();
    setModalProps({ confirmLoading: false, showCancelBtn: data?.showFooter, showOkBtn: data?.showFooter });
    isUpdate.value = !!data?.isUpdate;
    if(data.record.type == 'mouse'){
        title.value = '移出预关注'
    }
    if (unref(isUpdate)) {
        console.log(data.record, 'isUpdate')
        //表单赋值
        await setFieldsValue({
            ...data.record,
        });
    }
});
//设置标题
let title = ref('移入预关注')
// 移出api暂未添加
//表单提交事件
async function handleSubmit(v) {
    try {
        let values = await validate();
        setModalProps({ confirmLoading: true });
        //提交表单
        if(title.value == '移入预关注'){
            await movie(values, isUpdate.value);
        }else if(title.value == '移出预关注'){
            await ycygz(values, isUpdate.value);
        }
        //关闭弹窗
        closeModal();
        //刷新列表
        emit('success', { isUpdate: isUpdate.value, values });
    } finally {
        setModalProps({ confirmLoading: false });
    }
}

</script>

<style lang="less" scoped></style>